/* 40vxbAdb3.cdf - Component configuration file */
Component DRV_ALPHADATA_VXBADB3 {
NAME ADB3 VxBus Driver

SYNOPSIS Alpha Data ADB3 VxBus Driver 1.4.21

MODULES \
  api_adb3_adb3.o \
  api_adb3_avr2.o \
  api_adb3_iprog.o \
  api_adb3_vxworks_adb3_platform.o \
  api_modules_admxrc3_admxrc3.o \
  api_modules_admxrc3_admxrc3d.o \
  api_modules_admxrc3_combuf.o \
  api_modules_admxrc3_derror.o \
  api_modules_admxrc3_dmabus.o \
  api_modules_admxrc3_vxworks_admxrc3_platform.o \
  api_platform_vxworks_portability.o \
  core_admxrc6tx_common.o \
  core_avr.o \
  core_avr_clock.o \
  core_avr_flash.o \
  core_avr_fmc.o \
  core_avr_sensor.o \
  core_avr2.o \
  core_avr2_clock.o \
  core_avr2_flash.o \
  core_avr2_mez.o \
  core_coreclock.o \
  core_coredma.o \
  core_coredmabus.o \
  core_coreflash.o \
  core_corefpga.o \
  core_coremisc.o \
  core_coremodule.o \
  core_corenotify.o \
  core_coresensor.o \
  core_corevpd.o \
  core_ddr3_spd_common.o \
  core_flash.o \
  core_flash_cfi.o \
  core_hwmon.o \
  core_i2c.o \
  core_icap.o \
  core_icd2061.o \
  core_ics843034_01.o \
  core_identify.o \
  core_interrupt.o \
  core_main.o \
  core_model_adb3.o \
  core_model_admpcie7v3.o \
  core_model_admpcieku3.o \
  core_model_admpcie8v3.o \
  core_model_admpcie8k5.o \
  core_model_admxrc2.o \
  core_model_admxrc6tadv8.o \
  core_model_admxrc6tda1.o \
  core_model_admxrc6tge.o \
  core_model_admxrc6tl.o \
  core_model_admxrc6t1.o \
  core_model_admxrc7k1.o \
  core_model_admxrc7v1.o \
  core_model_admxrc7z1.o \
  core_model_admxrcku1.o \
  core_model_adpexrc5t.o \
  core_model_adpexrc6t.o \
  core_model_adpexrc6tadv.o \
  core_pci9xxx_93x6.o \
  core_prodtest.o \
  core_resource.o \
  core_serializer.o \
  core_si5338.o \
  core_v5clksynth.o \
  core_v6clksynth.o \
  framework_vxworks_buffer_desc.o \
  framework_vxworks_debug.o \
  framework_vxworks_directif.o \
  framework_vxworks_dma.o \
  framework_vxworks_dpc.o \
  framework_vxworks_drvparam.o \
  framework_vxworks_interrupt.o \
  framework_vxworks_legacy_methods.o \
  framework_vxworks_legacy_pci.o \
  framework_vxworks_mapio.o \
  framework_vxworks_mmap.o \
  framework_vxworks_pool.o \
  framework_vxworks_sempool.o \
  framework_vxworks_timer.o \
  framework_vxworks_userif.o \
  framework_vxworks_vxbus_pci.o \
  modules_admxrc3_clock.o \
  modules_admxrc3_derror.o \
  modules_admxrc3_diagnostic.o \
  modules_admxrc3_dma.o \
  modules_admxrc3_dmabus.o \
  modules_admxrc3_event.o \
  modules_admxrc3_flash.o \
  modules_admxrc3_fpga.o \
  modules_admxrc3_identify.o \
  modules_admxrc3_info.o \
  modules_admxrc3_lock.o \
  modules_admxrc3_main.o  \
  modules_admxrc3_module.o  \
  modules_admxrc3_model_admpcie7v3.o \
  modules_admxrc3_model_admpcieku3.o \
  modules_admxrc3_model_admpcie8v3.o \
  modules_admxrc3_model_admpcie8k5.o \
  modules_admxrc3_model_admxrc2.o \
  modules_admxrc3_model_admxrc6tadv8.o \
  modules_admxrc3_model_admxrc6tda1.o \
  modules_admxrc3_model_admxrc6tge.o \
  modules_admxrc3_model_admxrc6tl.o \
  modules_admxrc3_model_admxrc6t1.o \
  modules_admxrc3_model_admxrc7k1.o \
  modules_admxrc3_model_admxrc7v1.o \
  modules_admxrc3_model_admxrc7z1.o \
  modules_admxrc3_model_admxrcku1.o \
  modules_admxrc3_model_admxrcku1at8.o \
  modules_admxrc3_model_adpexrc5t.o \
  modules_admxrc3_model_adpexrc6t.o \
  modules_admxrc3_model_adpexrc6tadv.o \
  modules_admxrc3_model_generic.o \
  modules_admxrc3_pio.o \
  modules_admxrc3_vpd.o \
  monolithic_main.o \
  monolithic_vxworks_vxw_entry.o \
  monolithic_vxworks_vxw_param.o

_CHILDREN FOLDER_DRIVERS_OTHER

_INIT_ORDER usrRoot
INIT_AFTER usrScInit
INIT_BEFORE usrToolsInit

INIT_RTN \
  adb3DrvCompStart( \
    VXBADB3_DEBUG_LEVEL, \
    0, \
    VXBADB3_ENABLE_VPD_WRITE, \
    VXBADB3_PCI_ADDRESS_64_BIT, \
    VXBADB3_NUM_COMMON_BUFFER, \
    VXBADB3_COMMON_BUFFER_SIZE, \
    VXBADB3_COMMON_BUFFER_ALIGN); \
  adb3ApiInit(); \
  admxrc3ApiInit();
  
PROTOTYPE \
  STATUS adb3DrvCompStart( \
    int debugLevel, \
    int bLegacyHardware, \
    BOOL bEnableVpdWrite, \
    BOOL bPciAddress64Bit, \
    unsigned int numCommonBuffer, \
    unsigned int commonBufferSize, \
    unsigned int commonBufferAlign); \
  void adb3ApiInit(void); \
  void admxrc3ApiInit(void);

REQUIRES \
  INCLUDE_DMA_SYS \
  INCLUDE_IO_BASIC \
  INCLUDE_ISR_DEFER \
  INCLUDE_LOGGING \
  INCLUDE_PCI_BUS \
  INCLUDE_VXBUS

CFG_PARAMS \
  VXBADB3_DEBUG_LEVEL \
  VXBADB3_ENABLE_VPD_WRITE \
  VXBADB3_PCI_ADDRESS_64_BIT \
  VXBADB3_NUM_COMMON_BUFFER \
  VXBADB3_COMMON_BUFFER_SIZE \
  VXBADB3_COMMON_BUFFER_ALIGN
}

Parameter VXBADB3_DEBUG_LEVEL {
NAME Verbosity of debug messages
SYNOPSIS Verbosity of debug messages: 0 for startup & error messages only; larger values result in increasing verbosity.
TYPE int
DEFAULT 0
}

Parameter VXBADB3_ENABLE_VPD_WRITE {
NAME Enable VPD write access
SYNOPSIS Specifies whether or not writes to VPD memory are permitted by the driver.
TYPE bool
DEFAULT FALSE
}

Parameter VXBADB3_PCI_ADDRESS_64_BIT {
NAME Enable 64-bit PCI addressing
SYNOPSIS Enable or disables 64-bit PCI addressing for bus mastering in PCIe to OCP/AXI Bridge.
TYPE bool
DEFAULT TRUE
}

Parameter VXBADB3_NUM_COMMON_BUFFER {
NAME Number of common buffers
SYNOPSIS The number of common buffers to allocate at driver startup.
TYPE uint
DEFAULT 0
}

Parameter VXBADB3_COMMON_BUFFER_SIZE {
NAME Size of each common buffer
SYNOPSIS The size, in bytes, of each common buffer allocated at driver startup.
TYPE uint
DEFAULT 0x10000
}

Parameter VXBADB3_COMMON_BUFFER_ALIGN {
NAME Alignment of each common buffer
SYNOPSIS The alignment, in bytes, of each common buffer allocated at driver startup.
TYPE uint
DEFAULT 32
}
